# \Class7TestingApi

All URIs are relative to *https://api.chat-api.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**InstanceStatuses**](Class7TestingApi.md#InstanceStatuses) | **Get** /instanceStatuses | Returns instance status changes history.
[**WebhookStatuses**](Class7TestingApi.md#WebhookStatuses) | **Get** /webhookStatus | Returns webhook status for message.



## InstanceStatuses

> Statuses InstanceStatuses(ctx, optional)

Returns instance status changes history.

Requires enable \"instanceStatuses\" option for collecting data.

### Required Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***InstanceStatusesOpts** | optional parameters | nil if no parameters

### Optional Parameters

Optional parameters are passed through a pointer to a InstanceStatusesOpts struct


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **minTime** | **optional.Int32**| Filter statuses received after specified date. Example: 946684800. | 
 **maxTime** | **optional.Int32**| Filter statuses received before specified date. Example: 946684800. | 

### Return type

[**Statuses**](Statuses.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## WebhookStatuses

> WebhookStatus WebhookStatuses(ctx, msgId)

Returns webhook status for message.

Requires enable \"webhookStatuses\" option for collecting data.

### Required Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**msgId** | **string**| Message ID. Example: false_17472822486@c.us_DF38E6A25B42CC8CCE57EC40F. | 

### Return type

[**WebhookStatus**](WebhookStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

