/*
 * Chat API SDK
 *
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * API version: 1.0.0
 * Contact: sale@chat-api.com
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi
// Message struct for Message
type Message struct {
	// unique id
	Id string `json:"id,omitempty"`
	// text message for type \"chat\", or link to download the file for \"ptt\", \"image\", \"audio\", \"video\" and \"document\", or latitude and longitude for \"location\", or message \"[Call]\" for \"call_log\"
	Body string `json:"body,omitempty"`
	// type of the message
	Type string `json:"type,omitempty"`
	// Sender name
	SenderName string `json:"senderName,omitempty"`
	// true - outgoing, false - incoming
	FromMe bool `json:"fromMe,omitempty"`
	// Author ID of the message, useful for groups
	Author string `json:"author,omitempty"`
	// send time, unix timestamp
	Time int32 `json:"time,omitempty"`
	// chat ID
	ChatId string `json:"chatId,omitempty"`
	// sequence number of the message in the database
	MessageNumber int32 `json:"messageNumber,omitempty"`
}
