/*
 * Chat API SDK
 *
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * API version: 1.0.0
 * Contact: sale@chat-api.com
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi
// SendLinkRequest struct for SendLinkRequest
type SendLinkRequest struct {
	// **Required if phone is not set**  Chat ID from the message list. Examples: 17633123456@c.us for private messages and 17680561234-1479621234@g.us for the group. Used instead of the phone parameter.
	ChatId string `json:"chatId,omitempty"`
	// **Required if chatId is not set**  A phone number starting with the country code. You do not need to add your number.   USA example: 17472822486.
	Phone int32 `json:"phone,omitempty"`
	// HTTP or HTTPS link, for example *https://wikimedia.org*
	Body string `json:"body"`
	// Base64-encoded file with mime data, for example *data:image/jpeg;base64,/9j/4AAQSkZJRgABAQ...* for link's preview
	PreviewBase64 string `json:"previewBase64"`
	// Title for send link
	Title string `json:"title"`
	// Description for send link
	Description string `json:"description,omitempty"`
}
